Subject: bug#24902: Antw: [EXT] Re: bug#24902: 25.1; C-x = for Unicode

From: Mattias Engdegård <[email-masked]>
Date: Mon, 31 Jan 2022 18:40:58 +0100

30 jan. 2022 kl. 16.47 skrev Lars Ingebrigtsen <[email-masked]>:

> What I see attractive about splitting this up into two commands is that
> there's more information about positions and characters that would be
> useful, I think.  

> For instance, when I'm wondering about a character
> it's because it's odd to me somehow, so knowing the name and the
> general-category of the character (in addition to the Unicode char
> number) is what I'd like to know.

Being a two-letter code, the general category could certainly fit into the current (revised) format. While you and I would find it useful, we are ones who know our Zp from our Cf; the typical user may find those codes mysterious. But perhaps that is not automatically a usability problem?

Otherwise, for more exact inspection of the character at point we have describe-char, or `C-u C-x =`. (Most people seem to agree that its layout could be improved but that's a different matter.)